انجمن‌های فارسی اوبونتو

لطفاً به انجمن‌ها وارد شده و یا جهت ورود ثبت‌نام نمائید

لطفاً جهت ورود نام کاربری و رمز عبورتان را وارد نمائید

نویسنده موضوع: سامانه‌ی گیکس  (دفعات بازدید: 2438 بار)

0 کاربر و 1 مهمان درحال مشاهده موضوع.

آفلاین mobin1387

  • Sr. Member
  • *
  • ارسال: 474
  • جنسیت : پسر
  • به زودی اینجا چیزی نوشته خواهد شد!
پاسخ : سامانه‌ی گیکس
« پاسخ #30 : 09 فروردین 1401، 11:26 ب‌ظ »
نقل‌قول
نکته مهم: برای گرفتن بهترین نتیجه از rc-parallel ، بهتره اسکریپت هاتون رو از sysvinit style به openrc-run تبدیل کنید

این قسمت رو نفهمیدم !

پاسخ کوتاه: چیز خاصی نیست. کاربر نهایی نیاز نیست با اونها سروکله بزنه.

پاسخ بلند:
ببینید openrc از دو نوع اسکریپت پشتیبانی می‌کنه:

اسکریپت های بومی (OpenRC-run): این اسکریپت ها، همون طور که از اسمشون معلومه، به صورت بومی اجرا می‌شن. این نوع اسکریپت، سازگاری بهتری با ویژگی هایی مثل موازی کاری داره.

اسکریپت های غیر بومی (sysvinit): این اسکریپت ها، برای sysvinit نوشته شدند و openrc باید اونهارو با یکسری ابزار خاص اجرا کنه. این مسئله ممکنه باعث یکسری ناسازگاری با ویژگی هایی مثل موازی کاری بشه

آفلاین سودو

  • High Hero Member
  • *
  • ارسال: 2702
پاسخ : سامانه‌ی گیکس
« پاسخ #31 : 09 فروردین 1401، 11:34 ب‌ظ »
منظور چه اسکریپتی هست ؟ مثلا اسکریپتی که از اینترنت دانلود کنه طرف ؟ ( که من اصلا نمیکنم ! )
یا بش اسکریپتی اگر خودم بنویسم ؟ یا چی ؟
دبیان ناپایدار و گنوم!

آفلاین mobin1387

  • Sr. Member
  • *
  • ارسال: 474
  • جنسیت : پسر
  • به زودی اینجا چیزی نوشته خواهد شد!
پاسخ : سامانه‌ی گیکس
« پاسخ #32 : 09 فروردین 1401، 11:42 ب‌ظ »
منظور چه اسکریپتی هست ؟ مثلا اسکریپتی که از اینترنت دانلود کنه طرف ؟ ( که من اصلا نمیکنم ! )
یا بش اسکریپتی اگر خودم بنویسم ؟ یا چی ؟
init، برای راه اندازی خدمات (services) و دیمن ها، اطلاعات مربوط به اون خدمت یا دیمن رو از روی یک اسکریپت init میخونه.
برای مثال این اسکریپت ها برای راه اندازی sshd در ۳ init استفاده میشه:

sysvinit:
#! /bin/sh

### BEGIN INIT INFO
# Provides: sshd
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop:
# Short-Description: OpenBSD Secure Shell server
### END INIT INFO

set -e

# /etc/init.d/ssh: start and stop the OpenBSD "secure shell(tm)" daemon

test -x /usr/sbin/sshd || exit 0
( /usr/sbin/sshd -\? 2>&1 | grep -q OpenSSH ) 2>/dev/null || exit 0

umask 022

if test -f /etc/default/ssh; then
    . /etc/default/ssh
fi

. /lib/lsb/init-functions

if [ -n "$2" ]; then
    SSHD_OPTS="$SSHD_OPTS $2"
fi

# Are we running from init?
run_by_init() {
    ([ "$previous" ] && [ "$runlevel" ]) || [ "$runlevel" = S ]
}

check_for_no_start() {
    # forget it if we're trying to start, and /etc/ssh/sshd_not_to_be_run exists
    if [ -e /etc/ssh/sshd_not_to_be_run ]; then
if [ "$1" = log_end_msg ]; then
    log_end_msg 0 || true
fi
if ! run_by_init; then
    log_action_msg "OpenBSD Secure Shell server not in use (/etc/ssh/sshd_not_to_be_run)" || true
fi
exit 0
    fi
}

check_dev_null() {
    if [ ! -c /dev/null ]; then
if [ "$1" = log_end_msg ]; then
    log_end_msg 1 || true
fi
if ! run_by_init; then
    log_action_msg "/dev/null is not a character device!" || true
fi
exit 1
    fi
}

check_privsep_dir() {
    # Create the PrivSep empty dir if necessary
    if [ ! -d /run/sshd ]; then
mkdir /run/sshd
chmod 0755 /run/sshd
    fi
}

check_config() {
    if [ ! -e /etc/ssh/sshd_not_to_be_run ]; then
# shellcheck disable=SC2086
/usr/sbin/sshd $SSHD_OPTS -t || exit 1
    fi
}

export PATH="${PATH:+$PATH:}/usr/sbin:/sbin"

case "$1" in
  start)
check_privsep_dir
check_for_no_start
check_dev_null
log_daemon_msg "Starting OpenBSD Secure Shell server" "sshd" || true
# shellcheck disable=SC2086
if start-stop-daemon --start --quiet --oknodo --chuid 0:0 --pidfile /run/sshd.pid --exec /usr/sbin/sshd -- $SSHD_OPTS; then
    log_end_msg 0 || true
else
    log_end_msg 1 || true
fi
;;
  stop)
log_daemon_msg "Stopping OpenBSD Secure Shell server" "sshd" || true
if start-stop-daemon --stop --quiet --oknodo --pidfile /run/sshd.pid --exec /usr/sbin/sshd; then
    log_end_msg 0 || true
else
    log_end_msg 1 || true
fi
;;

  reload|force-reload)
check_for_no_start
check_config
log_daemon_msg "Reloading OpenBSD Secure Shell server's configuration" "sshd" || true
if start-stop-daemon --stop --signal 1 --quiet --oknodo --pidfile /run/sshd.pid --exec /usr/sbin/sshd; then
    log_end_msg 0 || true
else
    log_end_msg 1 || true
fi
;;

  restart)
check_privsep_dir
check_config
log_daemon_msg "Restarting OpenBSD Secure Shell server" "sshd" || true
start-stop-daemon --stop --quiet --oknodo --retry 30 --pidfile /run/sshd.pid --exec /usr/sbin/sshd
check_for_no_start log_end_msg
check_dev_null log_end_msg
# shellcheck disable=SC2086
if start-stop-daemon --start --quiet --oknodo --chuid 0:0 --pidfile /run/sshd.pid --exec /usr/sbin/sshd -- $SSHD_OPTS; then
    log_end_msg 0 || true
else
    log_end_msg 1 || true
fi
;;

  try-restart)
check_privsep_dir
check_config
log_daemon_msg "Restarting OpenBSD Secure Shell server" "sshd" || true
RET=0
start-stop-daemon --stop --quiet --retry 30 --pidfile /run/sshd.pid --exec /usr/sbin/sshd || RET="$?"
case $RET in
    0)
# old daemon stopped
check_for_no_start log_end_msg
check_dev_null log_end_msg
# shellcheck disable=SC2086
if start-stop-daemon --start --quiet --oknodo --chuid 0:0 --pidfile /run/sshd.pid --exec /usr/sbin/sshd -- $SSHD_OPTS; then
    log_end_msg 0 || true
else
    log_end_msg 1 || true
fi
;;
    1)
# daemon not running
log_progress_msg "(not running)" || true
log_end_msg 0 || true
;;
    *)
# failed to stop
log_progress_msg "(failed to stop)" || true
log_end_msg 1 || true
;;
esac
;;

  status)
status_of_proc -p /run/sshd.pid /usr/sbin/sshd sshd && exit 0 || exit $?
;;

  *)
log_action_msg "Usage: /etc/init.d/ssh {start|stop|reload|force-reload|restart|try-restart|status}" || true
exit 1
esac

exit 0
OpenRC:
#!/sbin/openrc-run

name=$RC_SVCNAME
description="OpenBSD Secure Shell server"
supervisor="supervise-daemon"
command="/usr/sbin/sshd"
command_args="-D $SSHD_OPTS"
SSHD_OPTS=""

depend() {
after net auditd
}

start_pre() {
ebegin "Preloading sshd"
/usr/sbin/sshd -t
}

reload() {
ebegin "Reloading $RC_SVCNAME"
/usr/sbin/sshd -t
/bin/kill -HUP $MAINPID
eend $?
}
SystemD:
[Unit]
Description=OpenBSD Secure Shell server
Documentation=man:sshd(8) man:sshd_config(5)
After=network.target auditd.service
ConditionPathExists=!/etc/ssh/sshd_not_to_be_run

[Service]
EnvironmentFile=-/etc/default/ssh
ExecStartPre=/usr/sbin/sshd -t
ExecStart=/usr/sbin/sshd -D $SSHD_OPTS
ExecReload=/usr/sbin/sshd -t
ExecReload=/bin/kill -HUP $MAINPID
KillMode=process
Restart=on-failure
RestartPreventExitStatus=255
Type=notify
RuntimeDirectory=sshd
RuntimeDirectoryMode=0755

[Install]
WantedBy=multi-user.target
Alias=sshd.service

آفلاین BiG

  • High Hero Member
  • *
  • ارسال: 1639
  • Windows 7 - Windows xp - Windows 11
پاسخ : سامانه‌ی گیکس
« پاسخ #33 : 09 فروردین 1401، 11:44 ب‌ظ »
الآن یه هفته است که برداشته شده از مخازن خب!
واقعاً خودتون خندتون نمی گیره که این تصمیمات رو جامعه توسعه دهندگان گرفتن؟
وگرنه مگه فایرفاکس شاخشون می زنه که بیان حذفش کنن و نسخه اسنپی رو دیکته کنن به کاربر؟

با این حال حداقل فورکی از اوبونتو وجود داره که نواقصش رو برطرف کرده باشه با همون امکانات و ویژگی ها؟ (اگر نیست با همکاری هم خودمون بسازیمش  ;D)
من خودم توصیه می‌کنم اگه اوبونتو رو نمی‌خواید از دبیان (یا devuan) استفاده کنید. اونقدر ها هم که بعضی ها جو می‌دن نصب و پیکربندیش سخت نیست!

پ.ن: من خودم الآن به جای اوبونتو سرور از devuan (بله درسته devuan با openrc) استفاده می‌کنم و واقعا راضی ترم. snap نداره و ناگهان جامعه توسعه‌دهندگان تصمیم نمی‌گیره که برنامه ای رو از مخازن حذف کنن و به snap منتقل کنن. نبود systemd هم باعث می‌شه که برای خواندن journal، کارساز (سرور) منفجر نشه :-) و همچنین حافظه کمتری مصرف بشه.
نه خودم دبیان داشتم. توزیعی می خوام که دقیقاً اوبونتو باشه ولی این ایرادات توش نباشه.
کدوم توزیع مثل اوبونتو و زوبونتو میزکار ویرایش شده خودش رو استفاده می کنه و هر ۶ ماه یک بار منتشر میشه و هرچیزی که اوبونتو داره رو اونم داره؟
دبیان که گنوم خام داره.
خداحافظ لینوکس!

آفلاین سودو

  • High Hero Member
  • *
  • ارسال: 2702
پاسخ : سامانه‌ی گیکس
« پاسخ #34 : 09 فروردین 1401، 11:48 ب‌ظ »
نقل‌قول
init، برای راه اندازی خدمات (services) و دیمن ها، اطلاعات مربوط به اون خدمت یا دیمن رو از روی یک اسکریپت init میخونه.
برای مثال این اسکریپت ها برای راه اندازی sshd در ۳ init استفاده میشه:

اصلا من کاری باید انجام بدم آیا ؟
دبیان ناپایدار و گنوم!

آفلاین mobin1387

  • Sr. Member
  • *
  • ارسال: 474
  • جنسیت : پسر
  • به زودی اینجا چیزی نوشته خواهد شد!
پاسخ : سامانه‌ی گیکس
« پاسخ #35 : 09 فروردین 1401، 11:52 ب‌ظ »
نقل‌قول
init، برای راه اندازی خدمات (services) و دیمن ها، اطلاعات مربوط به اون خدمت یا دیمن رو از روی یک اسکریپت init میخونه.
برای مثال این اسکریپت ها برای راه اندازی sshd در ۳ init استفاده میشه:

اصلا من کاری باید انجام بدم آیا ؟
خیر. مگر مشکلی پیش بیاد که احتمالش ۱ درصده

آفلاین Dragon-

  • عضو کاربران ایرانی اوبونتو
  • *
  • ارسال: 4209
  • جنسیت : پسر
پاسخ : سامانه‌ی گیکس
« پاسخ #36 : 10 فروردین 1401، 12:03 ق‌ظ »
نه خودم دبیان داشتم. توزیعی می خوام که دقیقاً اوبونتو باشه ولی این ایرادات توش نباشه.
کدوم توزیع مثل اوبونتو و زوبونتو میزکار ویرایش شده خودش رو استفاده می کنه و هر ۶ ماه یک بار منتشر میشه و هرچیزی که اوبونتو داره رو اونم داره؟
دبیان که گنوم خام داره.
لینوکس مینت شاید چیزی باشه که می‌خواهید. بر پایه اوبونتو هست ولی چیز‌هایی که اوبونتو به کاربر فرو می‌کنه رو به طور پیش‌فرض نداره.
snap نصب نیست، ولی می‌تونید نصبش کنید. فایرفاکس هم توی مخازنش داره.
با سه تا میزکار cinnamon xfce4 و mate دردسترسه.

لینوکس مینت نسخه دبیان هم هست. این یکی مبتنی بر دبیان پایدار هست، حدود ۱ هفته پیش نسخه جدید اون منتشر شد که  بر پایه دبیان ۱۱ هست.
ظاهر و نحوه کار با اون، شبیه لینوکس مینت معمولیه ولی چندین چیز کوچک فرق داره.
فقط با میزکار cinnamon هست. (بقیه میزکار‌ها توی مخازن هستند ولی احتمالا با نصب اونها، توزیع ناپایدار میشه)
میدونید که زکات علم نشر آن است

آفلاین BiG

  • High Hero Member
  • *
  • ارسال: 1639
  • Windows 7 - Windows xp - Windows 11
پاسخ : سامانه‌ی گیکس
« پاسخ #37 : 10 فروردین 1401، 12:29 ق‌ظ »
نه من گنوم می خوام. فکر کنم منظورم رو متوجه شده باشید، من دقیقا خود اوبونتو رو می خوام ولی نواقصش برطرف شده باشه.
خداحافظ لینوکس!

آفلاین سودو

  • High Hero Member
  • *
  • ارسال: 2702
پاسخ : سامانه‌ی گیکس
« پاسخ #38 : 10 فروردین 1401، 12:31 ق‌ظ »
نه من گنوم می خوام. فکر کنم منظورم رو متوجه شده باشید، من دقیقا خود اوبونتو رو می خوام ولی نواقصش برطرف شده باشه.
منجارو !
دبیان ناپایدار و گنوم!

آفلاین آرمان اسماعیلی

  • High Hero Member
  • *
  • ارسال: 2406
  • جنسیت : پسر
پاسخ : سامانه‌ی گیکس
« پاسخ #39 : 10 فروردین 1401، 02:29 ق‌ظ »
منظور چه اسکریپتی هست ؟ مثلا اسکریپتی که از اینترنت دانلود کنه طرف ؟ ( که من اصلا نمیکنم ! )
یا بش اسکریپتی اگر خودم بنویسم ؟ یا چی ؟
اسکریپت‌ها همون چیزایی هستن که systemd اومد و توسعه‌دهنده‌ها رو از شرشون نجات داد!
صفحه‌ی من در اینستاگرام: ‎‎@armanes92

آفلاین mobin1387

  • Sr. Member
  • *
  • ارسال: 474
  • جنسیت : پسر
  • به زودی اینجا چیزی نوشته خواهد شد!
پاسخ : سامانه‌ی گیکس
« پاسخ #40 : 10 فروردین 1401، 03:45 ق‌ظ »
منظور چه اسکریپتی هست ؟ مثلا اسکریپتی که از اینترنت دانلود کنه طرف ؟ ( که من اصلا نمیکنم ! )
یا بش اسکریپتی اگر خودم بنویسم ؟ یا چی ؟
اسکریپت‌ها همون چیزایی هستن که systemd اومد و توسعه‌دهنده‌ها رو از شرشون نجات داد!
بسیار موافقم.
یکی از دلایل موفقیت systemd، سادگی در اسکریپت هاش بود. نوشتن اسکریپت برای sysvinit، فوق العاده سرطانه، مهم نیست برنامه تون ساده بود یا نیاز به پیکربندی های خاص داشت، به هر حال شما باید چند کیلومتر شل اسکریپت برای sysvinit می‌نوشتید. systemd اینطور نبود اگه برنامه ساده ای داشتید، چند خط اسکریپت .service کافی بود اگرهم برنامه‌تون نیاز به پیکربندی های خاص داشت، یکم اسکریپت بلندتر می‌شد.

آفلاین BiG

  • High Hero Member
  • *
  • ارسال: 1639
  • Windows 7 - Windows xp - Windows 11
پاسخ : سامانه‌ی گیکس
« پاسخ #41 : 10 فروردین 1401، 03:51 ق‌ظ »
نه من گنوم می خوام. فکر کنم منظورم رو متوجه شده باشید، من دقیقا خود اوبونتو رو می خوام ولی نواقصش برطرف شده باشه.
منجارو !
خب پس باید معیار هامو درست تر توضیح می دادم:
تمش Yaru باشه، تنظیماتش بخش appearance داشته باشه، بروزرسانی ها و درایور هارو بشه توش با برنامه software and updates مدیریت کرد، هر ۶ ماه یک بار منتشر بشه، مدیر بستش apt باشه، فایرفاکس توی مخازنش داشته باشه، داکش سمت چپ باشه، پس زمینش پس زمینه اوبونتو باشه.

خب در این حالت توزیعی وجود داره؟
خداحافظ لینوکس!

آفلاین سودو

  • High Hero Member
  • *
  • ارسال: 2702
پاسخ : سامانه‌ی گیکس
« پاسخ #42 : 10 فروردین 1401، 11:40 ق‌ظ »
نه من گنوم می خوام. فکر کنم منظورم رو متوجه شده باشید، من دقیقا خود اوبونتو رو می خوام ولی نواقصش برطرف شده باشه.
منجارو !
خب پس باید معیار هامو درست تر توضیح می دادم:
تمش Yaru باشه، تنظیماتش بخش appearance داشته باشه، بروزرسانی ها و درایور هارو بشه توش با برنامه software and updates مدیریت کرد، هر ۶ ماه یک بار منتشر بشه، مدیر بستش apt باشه، فایرفاکس توی مخازنش داشته باشه، داکش سمت چپ باشه، پس زمینش پس زمینه اوبونتو باشه.

خب در این حالت توزیعی وجود داره؟
بنظرم خودت بسازش ! 😂
ولی من جات بودم از دبیان همچین چیزی در میاوردم !
دبیان ناپایدار و گنوم!

آفلاین BiG

  • High Hero Member
  • *
  • ارسال: 1639
  • Windows 7 - Windows xp - Windows 11
پاسخ : سامانه‌ی گیکس
« پاسخ #43 : 10 فروردین 1401، 04:41 ب‌ظ »
عه؟ پس می سازمش. پیش نیاز هاش برای یادگیری چیه؟
خداحافظ لینوکس!

آفلاین آرمان اسماعیلی

  • High Hero Member
  • *
  • ارسال: 2406
  • جنسیت : پسر
پاسخ : سامانه‌ی گیکس
« پاسخ #44 : 10 فروردین 1401، 10:53 ب‌ظ »
عه؟ پس می سازمش. پیش نیاز هاش برای یادگیری چیه؟
یه دبیان.
صفحه‌ی من در اینستاگرام: ‎‎@armanes92